(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('mtm-csc-api'), require('dc-eas-api')) :
    typeof define === 'function' && define.amd ? define('dc-dpi-api', ['exports', '@angular/core', 'mtm-csc-api', 'dc-eas-api'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['dc-dpi-api'] = {}, global.ng.core, global.i2, global.i1));
}(this, (function (exports, i0, i2, i1) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var BaseFactory = /** @class */ (function () {
        function BaseFactory() {
            this._s = {};
            this._service = null;
        }
        BaseFactory.prototype.setService = function (service) {
            this._service = service;
            return this;
        };
        BaseFactory.prototype.getService = function () {
            return this._service;
        };
        BaseFactory.prototype.getSession = function () {
            return this.getService().getUserSessions().getCurrent();
        };
        BaseFactory.prototype.newRequest = function () {
            return __awaiter(this, void 0, void 0, function () {
                var sessObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getSession()];
                        case 1:
                            sessObj = _a.sent();
                            return [4 /*yield*/, sessObj.newRequest()];
                        case 2: return [2 /*return*/, _a.sent()];
                    }
                });
            });
        };
        return BaseFactory;
    }());

    var BaseModel = /** @class */ (function (_super) {
        __extends(BaseModel, _super);
        function BaseModel() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this._s = {};
            _this._service = null;
            _this._pushObj = null;
            return _this;
        }
        BaseModel.prototype.setService = function (service) {
            this._service = service;
            this.setAuto(service.getMtmAuto());
            return this;
        };
        BaseModel.prototype.getService = function () {
            return this._service;
        };
        BaseModel.prototype.getPush = function () {
            return this._pushObj;
        };
        BaseModel.prototype.setPush = function (value) {
            this._pushObj = value;
            return this;
        };
        BaseModel.prototype.push = function () {
            return this.getParent().push(this);
        };
        BaseModel.prototype.newRequest = function () {
            return __awaiter(this, void 0, void 0, function () {
                var sessObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getService().getUserSessions().getCurrent()];
                        case 1:
                            sessObj = _a.sent();
                            return [4 /*yield*/, sessObj.newRequest()];
                        case 2: return [2 /*return*/, _a.sent()];
                    }
                });
            });
        };
        return BaseModel;
    }(i2.MtmCscApiBaseModel));

    var UserSession = /** @class */ (function (_super) {
        __extends(UserSession, _super);
        function UserSession() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        UserSession.prototype.newRequest = function () {
            return __awaiter(this, void 0, void 0, function () {
                var reqObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getService().newRequest()];
                        case 1:
                            reqObj = _a.sent();
                            reqObj.addReq("dpi-session-guid", this.getGuid());
                            reqObj.addReq("authHash", this.getAuthHash());
                            return [2 /*return*/, reqObj];
                    }
                });
            });
        };
        UserSession.prototype.getAuthHash = function () {
            return this.getKey("authHash", true);
        };
        UserSession.prototype.getCreated = function () {
            return this.getKey("created", true);
        };
        return UserSession;
    }(BaseModel));

    var UserSessions = /** @class */ (function (_super) {
        __extends(UserSessions, _super);
        function UserSessions() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this._curObj = null;
            return _this;
        }
        UserSessions.prototype.newObj = function () {
            var rObj = new UserSession();
            rObj.setService(this.getService());
            return rObj;
        };
        UserSessions.prototype.getCurrent = function () {
            var _this = this;
            if (this._curObj === null) {
                this._curObj = this.getService().getMtmAuto().newPromise();
                this.addByEas(true).then(function (sessObj) {
                    _this._curObj["resolve"](sessObj);
                    console.log(sessObj);
                }, function (errObj) {
                    var curObj = _this._curObj;
                    _this._curObj = null;
                    curObj["reject"](errObj);
                });
            }
            return this._curObj.promise;
        };
        UserSessions.prototype.addByEas = function (doThrow) {
            if (doThrow === void 0) { doThrow = false; }
            return __awaiter(this, void 0, void 0, function () {
                var keyObj, reqObj, apiObj, errObj_1;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            console.log("DPI authentication with EAS");
                            return [4 /*yield*/, this.getService().getEasApi().getEphemeralKeys().newReadIdKey()];
                        case 1:
                            keyObj = _a.sent();
                            return [4 /*yield*/, this.getService().newRequest()];
                        case 2:
                            reqObj = _a.sent();
                            reqObj.setL1("UserSessions").setL2("Add").setL3("ByEas");
                            return [4 /*yield*/, keyObj.signPermissionRequest(reqObj)];
                        case 3:
                            _a.sent();
                            _a.label = 4;
                        case 4:
                            _a.trys.push([4, 6, , 7]);
                            return [4 /*yield*/, reqObj.getResponse(true)];
                        case 5:
                            apiObj = _a.sent();
                            if (typeof this._s[apiObj.guid] === "undefined") {
                                this._s[apiObj.guid] = this.newObj();
                            }
                            this._s[apiObj.guid].set(apiObj);
                            console.log("DPI Authenticated!");
                            return [2 /*return*/, this._s[apiObj.guid]];
                        case 6:
                            errObj_1 = _a.sent();
                            if (doThrow === true) {
                                throw errObj_1;
                            }
                            else {
                                return [2 /*return*/, null];
                            }
                            return [3 /*break*/, 7];
                        case 7: return [2 /*return*/];
                    }
                });
            });
        };
        return UserSessions;
    }(BaseFactory));

    var Device = /** @class */ (function (_super) {
        __extends(Device, _super);
        function Device() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Device.prototype.newRequest = function () {
            return __awaiter(this, void 0, void 0, function () {
                var reqObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.newRequest()];
                        case 1:
                            reqObj = _a.sent();
                            reqObj.addReq("device-guid", this.getGuid());
                            return [2 /*return*/, reqObj];
                    }
                });
            });
        };
        Device.prototype.getLabel = function () {
            return this.getKey("label", true);
        };
        Device.prototype.getNamespace = function () {
            return this.getKey("namespace", true);
        };
        Device.prototype.getNsId = function () {
            return this.getKey("nsId", true);
        };
        Device.prototype.getCreated = function () {
            return this.getKey("created", true);
        };
        return Device;
    }(BaseModel));

    var Devices = /** @class */ (function (_super) {
        __extends(Devices, _super);
        function Devices() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this._allRetrieved = false;
            return _this;
        }
        Devices.prototype.newObj = function () {
            var rObj = new Device();
            rObj.setService(this.getService());
            return rObj;
        };
        Devices.prototype.getAll = function () {
            return __awaiter(this, void 0, void 0, function () {
                var reqObj, apiObjs, apiObjs_1, apiObjs_1_1, apiObj;
                var e_1, _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!(this._allRetrieved === false)) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.newRequest()];
                        case 1:
                            reqObj = _b.sent();
                            reqObj.setL1("Devices").setL2("Get").setL3("All");
                            return [4 /*yield*/, reqObj.getResponse(true)];
                        case 2:
                            apiObjs = _b.sent();
                            try {
                                for (apiObjs_1 = __values(apiObjs), apiObjs_1_1 = apiObjs_1.next(); !apiObjs_1_1.done; apiObjs_1_1 = apiObjs_1.next()) {
                                    apiObj = apiObjs_1_1.value;
                                    if (typeof this._s[apiObj.guid] === "undefined") {
                                        this._s[apiObj.guid] = this.newObj();
                                    }
                                    this._s[apiObj.guid].set(apiObj);
                                }
                            }
                            catch (e_1_1) { e_1 = { error: e_1_1 }; }
                            finally {
                                try {
                                    if (apiObjs_1_1 && !apiObjs_1_1.done && (_a = apiObjs_1.return)) _a.call(apiObjs_1);
                                }
                                finally { if (e_1) throw e_1.error; }
                            }
                            this._allRetrieved = true;
                            _b.label = 3;
                        case 3: return [2 /*return*/, Object.values(this._s)];
                    }
                });
            });
        };
        Devices.prototype.getByGuid = function (guid) {
            return __awaiter(this, void 0, void 0, function () {
                var devObj, devObjs, x, reqObj, apiObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            devObj = null;
                            devObjs = Object.values(this._s);
                            for (x = 0; x < devObjs.length; ++x) {
                                devObj = devObjs[x];
                                if (devObj.getGuid() === guid) {
                                    return [2 /*return*/, devObj];
                                }
                            }
                            return [4 /*yield*/, this.newRequest()];
                        case 1:
                            reqObj = _a.sent();
                            reqObj.setL1("Devices").setL2("Get").setL3("ByGuid");
                            reqObj.addReq("device-guid", guid);
                            return [4 /*yield*/, reqObj.getResponse(true)];
                        case 2:
                            apiObj = _a.sent();
                            if (typeof this._s[apiObj.guid] === "undefined") {
                                this._s[apiObj.guid] = this.newObj();
                            }
                            this._s[apiObj.guid].set(apiObj);
                            return [2 /*return*/, this._s[apiObj.guid]];
                    }
                });
            });
        };
        return Devices;
    }(BaseFactory));

    var DcDpiApi = /** @class */ (function () {
        function DcDpiApi(_dcEasApi, _mtmCscApi) {
            this._dcEasApi = _dcEasApi;
            this._mtmCscApi = _mtmCscApi;
            this._procObj = null;
            this._usFact = null;
            this._devFact = null;
            this._wsSecret = null;
            this._wsHost = null;
            this._wsPort = null;
            this._wsSsl = true;
            this.initialize();
        }
        DcDpiApi.prototype.initialize = function () {
        };
        DcDpiApi.prototype.getEasApi = function () {
            return this._dcEasApi;
        };
        DcDpiApi.prototype.getMtmAuto = function () {
            return this._mtmCscApi.getAuto();
        };
        DcDpiApi.prototype.getUserSessions = function () {
            if (this._usFact === null) {
                this._usFact = new UserSessions();
                this._usFact.setService(this);
            }
            return this._usFact;
        };
        DcDpiApi.prototype.getDevices = function () {
            if (this._devFact === null) {
                this._devFact = new Devices();
                this._devFact.setService(this);
            }
            return this._devFact;
        };
        DcDpiApi.prototype.setWsConfig = function (host, port, secret, ssl) {
            if (ssl === void 0) { ssl = true; }
            this._wsSecret = secret;
            this._wsHost = host;
            this._wsPort = port;
            this._wsSsl = ssl;
            return this;
        };
        DcDpiApi.prototype.getProcObj = function () {
            var _this = this;
            if (this._procObj === null) {
                this._procObj = this.getMtmAuto().newPromise();
                console.log("Establishing DPI WSS connection");
                this._mtmCscApi.getProcesses().setWsConfig(this._wsSecret, this._wsHost, this._wsPort, this._wsSsl);
                this._mtmCscApi.getProcesses().getV1().initialize().then(function (procObj) {
                    _this._procObj["data"] = procObj;
                    _this._procObj["resolve"](procObj);
                    console.log("DPI WSS api enabled!");
                }, function (errObj) {
                    var procObj = _this._procObj;
                    _this._procObj = null;
                    procObj["reject"](errObj);
                    console.log("WSS api error:");
                    console.log(errObj);
                });
            }
            return this._procObj.promise;
        };
        DcDpiApi.prototype.newRequest = function () {
            return __awaiter(this, void 0, void 0, function () {
                var procObj;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getProcObj()];
                        case 1:
                            procObj = _a.sent();
                            return [4 /*yield*/, procObj.newRequest()];
                        case 2: return [2 /*return*/, _a.sent()];
                    }
                });
            });
        };
        return DcDpiApi;
    }());
    DcDpiApi.ɵprov = i0.ɵɵdefineInjectable({ factory: function DcDpiApi_Factory() { return new DcDpiApi(i0.ɵɵinject(i1.DcEasApi), i0.ɵɵinject(i2.MtmCscApi)); }, token: DcDpiApi, providedIn: "root" });
    DcDpiApi.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    DcDpiApi.ctorParameters = function () { return [
        { type: i1.DcEasApi },
        { type: i2.MtmCscApi }
    ]; };

    /*
     * Public API Surface of mtm-csc-api
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DcDpiApi = DcDpiApi;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=dc-dpi-api.umd.js.map
