import { MtmCscApi } from "mtm-csc-api";
import { DcEasApi } from "dc-eas-api";
export declare class DcDpiApi {
    private _dcEasApi;
    private _mtmCscApi;
    protected _procObj: any;
    protected _usFact: any;
    protected _devFact: any;
    protected _wsSecret: any;
    protected _wsHost: any;
    protected _wsPort: any;
    protected _wsSsl: boolean;
    constructor(_dcEasApi: DcEasApi, _mtmCscApi: MtmCscApi);
    protected initialize(): void;
    getEasApi(): DcEasApi;
    getMtmAuto(): import("mtm-auto").MtmAuto;
    getUserSessions(): any;
    getDevices(): any;
    setWsConfig(host: any, port: any, secret: any, ssl?: boolean): this;
    getProcObj(): any;
    newRequest(): Promise<any>;
}
